Skip to main content
POST
/
subscriptions
/
{id}
/
cancel
cURL
curl --request POST \
  --url https://development.knotapi.com/subscriptions/{id}/cancel \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_user_id": "abc123",
  "merchant_id": 46
}
'
{
  "message": "Success"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password. Use your client_id as the username and your secret as the password value.

Path Parameters

id
string
required

The subscription ID from the subscription object.

Example:

"ka8sdf0asdfm10as0a0sdfja7ssa8"

Body

application/json

The input parameters required for cancelling a subscription.

external_user_id
string
required

Your unique identifier for the user.

Example:

"abc123"

merchant_id
integer
required

Unique identifier for the merchant.

Example:

46

Response

Cancellation request accepted.

message
string
Example:

"Success"